Skip to main content
`Ctrl`+`K`

# TaoSetResidualWeights

Give weights for the residual values. A vector can be used if only diagonal terms are used, otherwise a matrix can be give.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetResidualWeights(Tao tao, Vec sigma_v, PetscInt n, PetscInt *rows, PetscInt *cols, PetscReal *vals)

Collective

## Input Parameters

- tao - the `Tao` context

- sigma_v - vector of weights (diagonal terms only)

- n - the number of weights (if using off-diagonal)

- rows - index list of rows for `sigma_v`

- cols - index list of columns for `sigma_v`

- vals - array of weights

## Notes

If this function is not provided, or if `sigma_v` and `vals` are both `NULL`, then the identity matrix will be used for weights.

Either `sigma_v` or `vals` should be `NULL`

## See Also

TAO: Optimization Solvers, `Tao`, `TaoSetResidualRoutine()`

## Level

intermediate

## Location

src/tao/interface/taosolver_fg.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages